{"swagger":"2.0","info":{"description":"Aarna Matrimony API.","version":"1.0","title":"Aarna Matrimony API","termsOfService":"Terms of service","contact":{"name":"AarnaMAtrimony","url":"https://www.example.com","email":"myeaddress@company.com"},"license":{"name":"License of API","url":"http://162.214.122.149:8081"}},"tags":[{"name":"authentication-controller","description":"Authentication Controller"},{"name":"education-controller","description":"Education Controller"},{"name":"express-intrest-controller","description":"Express Intrest Controller"},{"name":"master-controller","description":"Master Controller"},{"name":"packages-controller","description":"Packages Controller"},{"name":"payment-history-controller","description":"Payment History Controller"},{"name":"roles-controller","description":"Roles Controller"},{"name":"success-stories-controller","description":"Success Stories Controller"},{"name":"user-controller","description":"User Controller"},{"name":"user-details-controller","description":"User Details Controller"},{"name":"user-images-controller","description":"User Images Controller"},{"name":"user-otps-controller","description":"User Otps Controller"},{"name":"user-requirement-controller","description":"User Requirement Controller"}],"paths":{"/user/additionalPersonal/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateAdditionalPersonalInfo","operationId":"updateAdditionalPersonalInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"additionalPersonalInfoRequest","description":"additionalPersonalInfoRequest","required":true,"schema":{"$ref":"#/definitions/AdditionalPersonalInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/astronomic/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateAstronomicInfo","operationId":"updateAstronomicInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"astronomicInfoRequest","description":"astronomicInfoRequest","required":true,"schema":{"$ref":"#/definitions/AstronomicInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/changePassword/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateChangePasswordInfo","operationId":"updateChangePasswordInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"changePasswordRequest","description":"changePasswordRequest","required":true,"schema":{"$ref":"#/definitions/ChangePasswordRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/deleteEducation/{id}":{"delete":{"tags":["education-controller"],"summary":"deleteEducationDetails","operationId":"deleteEducationDetailsUsingDELETE","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"deprecated":false}},"/user/deletePackage/{packageId}":{"delete":{"tags":["packages-controller"],"summary":"deletePackageDetails","operationId":"deletePackageDetailsUsingDELETE","produces":["*/*"],"parameters":[{"name":"packageId","in":"path","description":"packageId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"deprecated":false}},"/user/deletePaymentHistroy/{userId}":{"delete":{"tags":["payment-history-controller"],"summary":"deletePaymentHistoryDetails","operationId":"deletePaymentHistoryDetailsUsingDELETE","produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"userId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"deprecated":false}},"/user/deleteSuccessStories/{id}":{"delete":{"tags":["success-stories-controller"],"summary":"deleteSuccessStories","operationId":"deleteSuccessStoriesUsingDELETE","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"deprecated":false}},"/user/deleteUser/{userId}":{"delete":{"tags":["user-controller"],"summary":"deleteUserDetails","operationId":"deleteUserDetailsUsingDELETE","produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"userId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"string"}},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"deprecated":false}},"/user/education/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateEducationInfo","operationId":"updateEducationInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"education","description":"education","required":true,"schema":{"$ref":"#/definitions/EducationInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/expressIntrest":{"post":{"tags":["express-intrest-controller"],"summary":"saveOrUpdateOnExpressIntrest","operationId":"saveOrUpdateOnExpressIntrestUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"expressIntrestRequest","description":"expressIntrestRequest","required":true,"schema":{"$ref":"#/definitions/ExpressIntrestRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ExpressIntrest"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/family/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateFamilyInfo","operationId":"updateFamilyInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"familyInfoRequest","description":"familyInfoRequest","required":true,"schema":{"$ref":"#/definitions/FamilyInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/generateOtp":{"post":{"tags":["user-otps-controller"],"summary":"saveOtps","operationId":"saveOtpsUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"userOtpRequest","description":"userOtpRequest","required":true,"schema":{"$ref":"#/definitions/UserOtpRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/OtpResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAdditionalPersonal/{username}":{"get":{"tags":["user-details-controller"],"summary":"getAdditionalPersonalInfo","operationId":"getAdditionalPersonalInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AdditionalPersonalInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllCaste":{"get":{"tags":["master-controller"],"summary":"getAllCaste","operationId":"getAllCasteUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Caste"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllComplexion":{"get":{"tags":["master-controller"],"summary":"getAllComplexion","operationId":"getAllComplexionUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Complexion"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllCountries":{"get":{"tags":["master-controller"],"summary":"getAllCountries","operationId":"getAllCountriesUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Countries"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllLanguage":{"get":{"tags":["master-controller"],"summary":"getAllLanguageDetails","operationId":"getAllLanguageDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Language"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllLocation":{"get":{"tags":["master-controller"],"summary":"getAllLocationDetails","operationId":"getAllLocationDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Location"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllPackages":{"get":{"tags":["packages-controller"],"summary":"getPackageDetails","operationId":"getPackageDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Packages"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllRaasi":{"get":{"tags":["master-controller"],"summary":"getAllRaasiDetails","operationId":"getAllRaasiDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Raasi"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllReligion":{"get":{"tags":["master-controller"],"summary":"getAllReligionDetails","operationId":"getAllReligionDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Religion"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllStar":{"get":{"tags":["master-controller"],"summary":"getAllStarDetails","operationId":"getAllStarDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Star"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllUserRequirements":{"get":{"tags":["user-requirement-controller"],"summary":"getUserRequirements","operationId":"getUserRequirementsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UserRequirement"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllUserRequirements/{userId}":{"get":{"tags":["user-requirement-controller"],"summary":"getUserRequirementsById","operationId":"getUserRequirementsByIdUsingGET","produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"userId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserRequirement"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllUsers":{"get":{"tags":["user-controller"],"summary":"getUserDetails","operationId":"getUserDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Users"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllbodyType":{"get":{"tags":["master-controller"],"summary":"getAllBodyTypeDetails","operationId":"getAllBodyTypeDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/BodyType"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAlldosham":{"get":{"tags":["master-controller"],"summary":"getAllDoshamDetails","operationId":"getAllDoshamDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Dosham"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAllheight":{"get":{"tags":["master-controller"],"summary":"getAllheightDetails","operationId":"getAllheightDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Height"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAlloccupations":{"get":{"tags":["master-controller"],"summary":"getAllOccupationDetails","operationId":"getAllOccupationDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Occupation"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getAstronomic/{username}":{"get":{"tags":["user-details-controller"],"summary":"getAstronomicInfo","operationId":"getAstronomicInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/AstronomicInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getBodyType/{id}":{"get":{"tags":["master-controller"],"summary":"getBodyTypeById","operationId":"getBodyTypeByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/BodyType"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getChapters":{"get":{"tags":["master-controller"],"summary":"getAllChapters","operationId":"getAllChaptersUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Chapters"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getCity/{state}":{"get":{"tags":["master-controller"],"summary":"getAllCitiesByStates","operationId":"getAllCitiesByStatesUsingGET","produces":["*/*"],"parameters":[{"name":"state","in":"path","description":"state","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/City"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getComplexion/{id}":{"get":{"tags":["master-controller"],"summary":"getComplexionById","operationId":"getComplexionByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Complexion"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getDistricts/{chapterId}":{"get":{"tags":["master-controller"],"summary":"getAllDistrictsByChapter","operationId":"getAllDistrictsByChapterUsingGET","produces":["*/*"],"parameters":[{"name":"chapterId","in":"path","description":"chapterId","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Districts"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getEducation":{"get":{"tags":["education-controller"],"summary":"getEducationDetails","operationId":"getEducationDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Education"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getEducation/{id}":{"get":{"tags":["education-controller"],"summary":"getEducationDetailsById","operationId":"getEducationDetailsByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Education"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getEducation2/{username}":{"get":{"tags":["user-details-controller"],"summary":"getEducationInfo","operationId":"getEducationInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EducationInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getEducationById/{id}":{"get":{"tags":["master-controller"],"summary":"getEducationDetailsById","operationId":"getEducationDetailsByIdUsingGET_1","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Education"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getEducationDetails":{"get":{"tags":["master-controller"],"summary":"getEducationDetails","operationId":"getEducationDetailsUsingGET_1","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Education"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getFamily/{username}":{"get":{"tags":["user-details-controller"],"summary":"getFamilyInfo","operationId":"getFamilyInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/FamilyInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getHobbies/{username}":{"get":{"tags":["user-details-controller"],"summary":"getHobbiesInfo","operationId":"getHobbiesInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/HobbiesInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getLanguage/{id}":{"get":{"tags":["master-controller"],"summary":"getLanguageById","operationId":"getLanguageByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Language"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getLanguage2/{username}":{"get":{"tags":["user-details-controller"],"summary":"getLanguageInfo","operationId":"getLanguageInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/LanguageInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getLifeStyle/{username}":{"get":{"tags":["user-details-controller"],"summary":"getLifeStyleInfoRequest","operationId":"getLifeStyleInfoRequestUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/LifeStyleInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getLocation/{id}":{"get":{"tags":["master-controller"],"summary":"getLocationById","operationId":"getLocationByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Location"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getOccupation/{id}":{"get":{"tags":["master-controller"],"summary":"getOccupationById","operationId":"getOccupationByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Occupation"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getPackageById/{packageId}":{"get":{"tags":["packages-controller"],"summary":"getPackageDetailsById","operationId":"getPackageDetailsByIdUsingGET","produces":["*/*"],"parameters":[{"name":"packageId","in":"path","description":"packageId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Packages"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getPaymentHistoryDetails":{"get":{"tags":["payment-history-controller"],"summary":"getPaymentHistoryDetails","operationId":"getPaymentHistoryDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/PaymentHistory"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getPersonal/{username}":{"get":{"tags":["user-details-controller"],"summary":"getPersonalInfo","operationId":"getPersonalInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PersonalInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getPersonalAttitude/{username}":{"get":{"tags":["user-details-controller"],"summary":"getPersonalAttitude","operationId":"getPersonalAttitudeUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PersonalAttitudeRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getPhysical/{username}":{"get":{"tags":["user-details-controller"],"summary":"getPhysicalInfo","operationId":"getPhysicalInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PhysicalInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getPresentAddress/{username}":{"get":{"tags":["user-details-controller"],"summary":"getPresentAddressInfo","operationId":"getPresentAddressInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PresentAddressInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getRaasi/{id}":{"get":{"tags":["master-controller"],"summary":"getRaasiById","operationId":"getRaasiByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Raasi"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getRecommendedProfiles/{userName}":{"get":{"tags":["user-details-controller"],"summary":"getRecommendedProfile","operationId":"getRecommendedProfileUsingGET","produces":["*/*"],"parameters":[{"name":"userName","in":"path","description":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/SuggestedProfilesProjection"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getReligion/{id}":{"get":{"tags":["master-controller"],"summary":"getReligionById","operationId":"getReligionByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Religion"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getResidency/{username}":{"get":{"tags":["user-details-controller"],"summary":"getResidencyInfo","operationId":"getResidencyInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ResidencyInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getRolesDetails":{"get":{"tags":["roles-controller"],"summary":"getRolesDetails","operationId":"getRolesDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Roles"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getSpiritualSocial/{username}":{"get":{"tags":["user-details-controller"],"summary":"getSpiritualSocialInfo","operationId":"getSpiritualSocialInfoUsingGET","produces":["*/*"],"parameters":[{"name":"username","in":"path","description":"username","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/SpiritualSocialInfoRequest"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getStar/{id}":{"get":{"tags":["master-controller"],"summary":"getStarById","operationId":"getStarByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Star"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getStates/{country}":{"get":{"tags":["master-controller"],"summary":"getAllStatesByCountry","operationId":"getAllStatesByCountryUsingGET","produces":["*/*"],"parameters":[{"name":"country","in":"path","description":"country","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/States"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getSuccessStories/{id}":{"get":{"tags":["success-stories-controller"],"summary":"getSuccessStoriesById","operationId":"getSuccessStoriesByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/SuccessStories"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getSuccessStroies":{"get":{"tags":["success-stories-controller"],"summary":"getSuccessStoriesDetails","operationId":"getSuccessStoriesDetailsUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/SuccessStories"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getUserByUserName/{userName}":{"get":{"tags":["user-controller"],"summary":"getUserDetailsByUserName","operationId":"getUserDetailsByUserNameUsingGET","produces":["*/*"],"parameters":[{"name":"userName","in":"path","description":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getUserDetails/{userName}":{"get":{"tags":["user-controller"],"summary":"getAllUserDetails","operationId":"getAllUserDetailsUsingGET","produces":["*/*"],"parameters":[{"name":"userName","in":"path","description":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/SuggestedProfilesProjection"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getUserImages":{"get":{"tags":["user-images-controller"],"summary":"getUserImages","operationId":"getUserImagesUsingGET","produces":["*/*"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/UserImages"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getUserImages/{userId}":{"get":{"tags":["user-images-controller"],"summary":"getUserImagesById","operationId":"getUserImagesByIdUsingGET","produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"userId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserImages"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getcaste2/{casteId}":{"get":{"tags":["master-controller"],"summary":"getCasteById","operationId":"getCasteByIdUsingGET","produces":["*/*"],"parameters":[{"name":"casteId","in":"path","description":"casteId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Caste"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getcasteByReligion/{religionId}":{"get":{"tags":["master-controller"],"summary":"getCasteByReligionId","operationId":"getCasteByReligionIdUsingGET","produces":["*/*"],"parameters":[{"name":"religionId","in":"path","description":"religionId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Caste"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getdosham/{id}":{"get":{"tags":["master-controller"],"summary":"getDoshamById","operationId":"getDoshamByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Dosham"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/getheight/{id}":{"get":{"tags":["master-controller"],"summary":"getHeightById","operationId":"getHeightByIdUsingGET","produces":["*/*"],"parameters":[{"name":"id","in":"path","description":"id","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Height"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/hobbies/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateHobbiesInfo","operationId":"updateHobbiesInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"hobbiesInfoRequest","description":"hobbiesInfoRequest","required":true,"schema":{"$ref":"#/definitions/HobbiesInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/interestedUser/{userId}":{"get":{"tags":["express-intrest-controller"],"summary":"getMyInterestedUser","operationId":"getMyInterestedUserUsingGET","produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"userId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Users"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/interestedUserOfMe/{profileId}":{"get":{"tags":["express-intrest-controller"],"summary":"getInterestedUserOfMe","operationId":"getInterestedUserOfMeUsingGET","produces":["*/*"],"parameters":[{"name":"profileId","in":"path","description":"profileId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Users"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/intrest":{"post":{"tags":["express-intrest-controller"],"summary":"saveExpressInstrest","operationId":"saveExpressInstrestUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"expressIntrest","description":"expressIntrest","required":true,"schema":{"$ref":"#/definitions/ExpressIntrest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ExpressIntrest"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/language/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateLanguageInfo","operationId":"updateLanguageInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"languageInfoRequest","description":"languageInfoRequest","required":true,"schema":{"$ref":"#/definitions/LanguageInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/lifeStyle/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateLifeStyleInfo","operationId":"updateLifeStyleInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"lifeStyleInfoRequest","description":"lifeStyleInfoRequest","required":true,"schema":{"$ref":"#/definitions/LifeStyleInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/login":{"post":{"tags":["authentication-controller"],"summary":"createAuthenticationToken","operationId":"createAuthenticationTokenUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"authenticationRequest","description":"authenticationRequest","required":true,"schema":{"$ref":"#/definitions/LoginRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/mobileNoViewStatusUser/{userId}":{"get":{"tags":["express-intrest-controller"],"summary":"getMyMobileOnViewStatusUser","operationId":"getMyMobileOnViewStatusUserUsingGET","produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"userId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Users"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/mobileNoViewStatusUserOfMe/{profileId}":{"get":{"tags":["express-intrest-controller"],"summary":"getMobileOnViewStatusUserOfMe","operationId":"getMobileOnViewStatusUserOfMeUsingGET","produces":["*/*"],"parameters":[{"name":"profileId","in":"path","description":"profileId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Users"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/personalAttitude/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updatePersonalAttitudeInfo","operationId":"updatePersonalAttitudeInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"personalAttitudeRequest","description":"personalAttitudeRequest","required":true,"schema":{"$ref":"#/definitions/PersonalAttitudeRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/personalInfo/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updatePersonalInfo","operationId":"updatePersonalInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"personalInfo","description":"personalInfo","required":true,"schema":{"$ref":"#/definitions/PersonalInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/physical/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updatePhysicalInfo","operationId":"updatePhysicalInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"physicalInfoRequest","description":"physicalInfoRequest","required":true,"schema":{"$ref":"#/definitions/PhysicalInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/presentAddress/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updatePresentAddress","operationId":"updatePresentAddressUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"presentAddressInfo","description":"presentAddressInfo","required":true,"schema":{"$ref":"#/definitions/PresentAddressInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/profileFilledPercentage/{userName}":{"get":{"tags":["master-controller"],"summary":"getProfileFilledPercentage","operationId":"getProfileFilledPercentageUsingGET","produces":["*/*"],"parameters":[{"name":"userName","in":"path","description":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/profileViewStatusUser/{userId}":{"get":{"tags":["express-intrest-controller"],"summary":"getMyProfileViewStatusUser","operationId":"getMyProfileViewStatusUserUsingGET","produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"userId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Users"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/profileViewStatusUserOfMe/{profileId}":{"get":{"tags":["express-intrest-controller"],"summary":"getProfileViewStatusUserOfMe","operationId":"getProfileViewStatusUserOfMeUsingGET","produces":["*/*"],"parameters":[{"name":"profileId","in":"path","description":"profileId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Users"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/register":{"post":{"tags":["authentication-controller"],"summary":"saveUser","operationId":"saveUserUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"registerRequest","description":"registerRequest","required":true,"schema":{"$ref":"#/definitions/RegisterRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"object"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/residency/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateResidencyInfo","operationId":"updateResidencyInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"residencyInfoRequest","description":"residencyInfoRequest","required":true,"schema":{"$ref":"#/definitions/ResidencyInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/saveEducation":{"post":{"tags":["education-controller"],"summary":"saveEducationDetails","operationId":"saveEducationDetailsUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"education","description":"education","required":true,"schema":{"$ref":"#/definitions/Education"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Education"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/savePackage":{"post":{"tags":["packages-controller"],"summary":"savePackageDetails","operationId":"savePackageDetailsUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"packages","description":"packages","required":true,"schema":{"$ref":"#/definitions/Packages"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Packages"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/savePaymentHistory":{"post":{"tags":["payment-history-controller"],"summary":"savePaymentDetails","operationId":"savePaymentDetailsUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"paymentHistory","description":"paymentHistory","required":true,"schema":{"$ref":"#/definitions/PaymentHistory"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/PaymentHistory"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/saveRoles":{"post":{"tags":["roles-controller"],"summary":"saveRolesDetails","operationId":"saveRolesDetailsUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"roles","description":"roles","required":true,"schema":{"$ref":"#/definitions/Roles"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Roles"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/saveSuccessStories":{"post":{"tags":["success-stories-controller"],"summary":"saveSuccessStories","operationId":"saveSuccessStoriesUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"successStories","description":"successStories","required":true,"schema":{"$ref":"#/definitions/SuccessStories"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/SuccessStories"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/saveUser/{userName}":{"post":{"tags":["user-controller"],"summary":"saveUserDetails","operationId":"saveUserDetailsUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"user","description":"user","required":true,"schema":{"$ref":"#/definitions/Users"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/saveUserImages":{"post":{"tags":["user-images-controller"],"summary":"saveUserImages","operationId":"saveUserImagesUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"userImages","description":"userImages","required":true,"schema":{"$ref":"#/definitions/UserImages"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserImages"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/saveUserRequirement":{"post":{"tags":["user-requirement-controller"],"summary":"saveUserRequirement","operationId":"saveUserRequirementUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"userRequirement","description":"userRequirement","required":true,"schema":{"$ref":"#/definitions/UserRequirement"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/UserRequirement"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/shortlistedUser/{userId}":{"get":{"tags":["express-intrest-controller"],"summary":"getMyShortlistedUsers","operationId":"getMyShortlistedUsersUsingGET","produces":["*/*"],"parameters":[{"name":"userId","in":"path","description":"userId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Users"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/shortlistedUserOfMe/{profileId}":{"get":{"tags":["express-intrest-controller"],"summary":"getShortlistedUserOfMe","operationId":"getShortlistedUserOfMeUsingGET","produces":["*/*"],"parameters":[{"name":"profileId","in":"path","description":"profileId","required":true,"type":"integer","format":"int64"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Users"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/spiritual/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateSpiritualSocialInfo","operationId":"updateSpiritualSocialInfoUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"spiritualSocialInfoRequest","description":"spiritualSocialInfoRequest","required":true,"schema":{"$ref":"#/definitions/SpiritualSocialInfoRequest"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/updateIndex/{userName}":{"post":{"tags":["user-details-controller"],"summary":"updateIndex","operationId":"updateIndexUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"profileStartIndex","description":"profileStartIndex","required":true,"schema":{"$ref":"#/definitions/ProfileStartIndex"}},{"in":"path","name":"userName","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Users"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}},"/user/verifyOtp":{"post":{"tags":["user-otps-controller"],"summary":"verifyOtp","operationId":"verifyOtpUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"verifyOtpRequest","description":"verifyOtpRequest","required":true,"schema":{"$ref":"#/definitions/VerifyOtpRequest"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/OtpVerifyResponse"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"deprecated":false}}},"definitions":{"AdditionalPersonalInfoRequest":{"type":"object","properties":{"familyResidency":{"type":"string"},"fatherOccupation":{"type":"string"},"homeDistrict":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"specialCircumstance":{"type":"string"},"userName":{"type":"string"}},"title":"AdditionalPersonalInfoRequest"},"AstronomicInfoRequest":{"type":"object","properties":{"cityOfBirth":{"type":"string"},"dosham":{"type":"string"},"doshamName":{"type":"string"},"gotram":{"type":"string"},"moomSign":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"raasi":{"type":"string"},"star":{"type":"string"},"sunSign":{"type":"string"},"timeOfBirth":{"type":"string"},"userName":{"type":"string"}},"title":"AstronomicInfoRequest"},"BodyType":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"BodyType"},"Caste":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"priority":{"type":"string"},"religionId":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Caste"},"ChangePasswordRequest":{"type":"object","properties":{"currentPassword":{"type":"string"},"newPassword":{"type":"string"},"userName":{"type":"string"}},"title":"ChangePasswordRequest"},"Chapters":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Chapters"},"City":{"type":"object","properties":{"cityCode":{"type":"string"},"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"state":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"City"},"Complexion":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Complexion"},"Countries":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Countries"},"Districts":{"type":"object","properties":{"chapterId":{"type":"string"},"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Districts"},"Dosham":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Dosham"},"Education":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Education"},"EducationInfoRequest":{"type":"object","properties":{"annualIncome":{"type":"string"},"highestEducation":{"type":"string"},"occupation":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"userName":{"type":"string"}},"title":"EducationInfoRequest"},"ExpressIntrest":{"type":"object","properties":{"allowedProfilesLimit":{"type":"integer","format":"int32"},"createdOn":{"type":"string","format":"date-time"},"defaultTextOption":{"type":"boolean"},"interested":{"type":"boolean"},"intrestTo":{"type":"string"},"mailDefaultText":{"type":"string"},"messageSentStatus":{"type":"boolean"},"messageStatus":{"type":"boolean"},"mobileNoViewedStatus":{"type":"boolean"},"profileId":{"type":"integer","format":"int64"},"profileViewedStatus":{"type":"boolean"},"shortListed":{"type":"boolean"},"status":{"type":"boolean"},"userId":{"type":"integer","format":"int64"}},"title":"ExpressIntrest"},"ExpressIntrestRequest":{"type":"object","properties":{"activities":{"type":"string"},"profileId":{"type":"integer","format":"int64"},"userId":{"type":"integer","format":"int64"}},"title":"ExpressIntrestRequest"},"FamilyInfoRequest":{"type":"object","properties":{"brother":{"type":"string"},"brotherSisters":{"type":"string"},"father":{"type":"string"},"mother":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"sister":{"type":"string"},"userName":{"type":"string"}},"title":"FamilyInfoRequest"},"Height":{"type":"object","properties":{"centimeter":{"type":"string"},"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"inches":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Height"},"HobbiesInfoRequest":{"type":"object","properties":{"books":{"type":"string"},"cuisine":{"type":"string"},"dressStyle":{"type":"string"},"fitnessActivity":{"type":"string"},"hobby":{"type":"string"},"interest":{"type":"string"},"movies":{"type":"string"},"music":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"sportShows":{"type":"string"},"tvShows":{"type":"string"},"userName":{"type":"string"}},"title":"HobbiesInfoRequest"},"Language":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Language"},"LanguageInfoRequest":{"type":"object","properties":{"language":{"type":"string"},"motherToungue":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"read":{"type":"string"},"speak":{"type":"string"},"userName":{"type":"string"}},"title":"LanguageInfoRequest"},"LifeStyleInfoRequest":{"type":"object","properties":{"diet":{"type":"string"},"drink":{"type":"string"},"livingWith":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"smoke":{"type":"string"},"userName":{"type":"string"}},"title":"LifeStyleInfoRequest"},"Location":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Location"},"LoginRequest":{"type":"object","properties":{"password":{"type":"string"},"userName":{"type":"string"}},"title":"LoginRequest"},"Occupation":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Occupation"},"Optional«BodyType»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«BodyType»"},"Optional«Caste»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Caste»"},"Optional«Complexion»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Complexion»"},"Optional«Dosham»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Dosham»"},"Optional«Education»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Education»"},"Optional«Height»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Height»"},"Optional«Language»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Language»"},"Optional«Location»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Location»"},"Optional«Occupation»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Occupation»"},"Optional«Raasi»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Raasi»"},"Optional«Religion»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Religion»"},"Optional«Star»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«Star»"},"Optional«UserImages»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«UserImages»"},"Optional«UserRequirement»":{"type":"object","properties":{"present":{"type":"boolean"}},"title":"Optional«UserRequirement»"},"OtpResponse":{"type":"object","properties":{"message":{"type":"string"},"mobileNo":{"type":"string"},"status":{"type":"boolean"}},"title":"OtpResponse"},"OtpVerifyResponse":{"type":"object","properties":{"message":{"type":"string"},"status":{"type":"boolean"}},"title":"OtpVerifyResponse"},"Packages":{"type":"object","properties":{"allowedMessagesLimit":{"type":"string"},"astrologyMatch":{"type":"boolean"},"chatAllowed":{"type":"boolean"},"description":{"type":"string"},"duration":{"type":"string"},"durationType":{"type":"string"},"highlightProfile":{"type":"boolean"},"horoscopeView":{"type":"boolean"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"price":{"type":"integer","format":"int32"},"status":{"type":"boolean"}},"title":"Packages"},"PaymentHistory":{"type":"object","properties":{"createdTime":{"type":"string","format":"date"},"executiveName":{"type":"string"},"id":{"type":"integer","format":"int64"},"note":{"type":"boolean"},"packageId":{"type":"string"},"paidAmount":{"type":"string"},"updatedTime":{"type":"string","format":"date"},"userId":{"type":"integer","format":"int32"},"validFrom":{"type":"string"}},"title":"PaymentHistory"},"PersonalAttitudeRequest":{"type":"object","properties":{"affection":{"type":"string"},"humor":{"type":"string"},"politicalView":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"religiousService":{"type":"string"},"userName":{"type":"string"}},"title":"PersonalAttitudeRequest"},"PersonalInfoRequest":{"type":"object","properties":{"area":{"type":"string"},"dateOfBirth":{"type":"string","format":"date"},"email":{"type":"string"},"firstName":{"type":"string"},"gender":{"type":"string"},"lastName":{"type":"string"},"maritalStatus":{"type":"string"},"mobile":{"type":"string"},"noOfChildren":{"type":"string"},"onBehalf":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"userName":{"type":"string"}},"title":"PersonalInfoRequest"},"PhysicalInfoRequest":{"type":"object","properties":{"anyDisability":{"type":"string"},"bloodGroup":{"type":"string"},"bodyArt":{"type":"string"},"bodyType":{"type":"string"},"complexion":{"type":"string"},"eyeColor":{"type":"string"},"hairColor":{"type":"string"},"height":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"userName":{"type":"string"},"weight":{"type":"string"}},"title":"PhysicalInfoRequest"},"PresentAddressInfoRequest":{"type":"object","properties":{"city":{"type":"string"},"country":{"type":"string"},"postalCode":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"state":{"type":"string"},"userName":{"type":"string"}},"title":"PresentAddressInfoRequest"},"ProfileStartIndex":{"type":"object","properties":{"index":{"type":"integer","format":"int32"},"userName":{"type":"string"}},"title":"ProfileStartIndex"},"Raasi":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Raasi"},"RegisterRequest":{"type":"object","properties":{"createProfileFor":{"type":"string"},"dob":{"type":"string","format":"date"},"email":{"type":"string"},"firstName":{"type":"string"},"gender":{"type":"string"},"lastname":{"type":"string"},"mobileNo":{"type":"string"},"password":{"type":"string"},"userName":{"type":"string"}},"title":"RegisterRequest"},"Religion":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"priority":{"type":"integer","format":"int32"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Religion"},"ResidencyInfoRequest":{"type":"object","properties":{"birthCountry":{"type":"string"},"citizenshipCountry":{"type":"string"},"growUpCountry":{"type":"string"},"immigrationStatus":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"residencyCountry":{"type":"string"},"userName":{"type":"string"}},"title":"ResidencyInfoRequest"},"Roles":{"type":"object","properties":{"description":{"type":"string"},"id":{"type":"integer","format":"int64"},"packageId":{"type":"integer","format":"int32"},"roleName":{"type":"string"}},"title":"Roles"},"SpiritualSocialInfoRequest":{"type":"object","properties":{"caste":{"type":"string"},"communityValue":{"type":"string"},"ethnicity":{"type":"string"},"familyStatus":{"type":"string"},"familyValue":{"type":"string"},"manglik":{"type":"string"},"personalValue":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"religion":{"type":"string"},"subCaste":{"type":"string"},"userName":{"type":"string"}},"title":"SpiritualSocialInfoRequest"},"Star":{"type":"object","properties":{"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"Star"},"States":{"type":"object","properties":{"countryId":{"type":"string"},"createdTime":{"type":"string","format":"date-time"},"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"status":{"type":"boolean"},"updateddTime":{"type":"string","format":"date-time"}},"title":"States"},"SuccessStories":{"type":"object","properties":{"branch":{"type":"integer","format":"int64"},"brideId":{"type":"string"},"createOn":{"type":"string","format":"date-time"},"groomId":{"type":"string"},"id":{"type":"integer","format":"int64"},"message":{"type":"string"},"status":{"type":"boolean"},"title":{"type":"string"}},"title":"SuccessStories"},"SuggestedProfilesProjection":{"type":"object","properties":{"about":{"type":"string"},"aboutMyself":{"type":"string"},"age":{"type":"string"},"annualIncome":{"type":"string"},"caste":{"type":"string"},"casteName":{"type":"string"},"citizenship":{"type":"string"},"cityOfBirth":{"type":"string"},"cm":{"type":"string"},"createProfileFor":{"type":"string"},"created_time":{"type":"string"},"currentCityName":{"type":"string"},"currentCountry":{"type":"string"},"currentCountryName":{"type":"string"},"currentState":{"type":"string"},"dob":{"type":"string"},"dobString":{"type":"string"},"dosam":{"type":"string"},"dosamName":{"type":"string"},"education":{"type":"string"},"educationName":{"type":"string"},"email":{"type":"string"},"expressedInterest":{"type":"string"},"firstName":{"type":"string"},"fullname":{"type":"string"},"gender":{"type":"string"},"gotram":{"type":"string"},"haveChildren":{"type":"string"},"height":{"type":"string"},"homeDistrict":{"type":"string"},"id":{"type":"integer","format":"int64"},"inches":{"type":"string"},"lastLoginTime":{"type":"string"},"lastName":{"type":"string"},"maritalStatus":{"type":"string"},"message_sent_status":{"type":"string"},"mobileNo":{"type":"string"},"mobileNumViewed":{"type":"string"},"motherTongue":{"type":"string"},"motherTongueName":{"type":"string"},"occupation":{"type":"string"},"occupationName":{"type":"string"},"package_id":{"type":"string"},"password":{"type":"string"},"profileImage":{"type":"string"},"profile_highlighter":{"type":"string"},"recidencyCountry":{"type":"string"},"religion":{"type":"string"},"religionName":{"type":"string"},"role_id":{"type":"string"},"sisterInLaw2Cast":{"type":"string"},"star":{"type":"string"},"starName":{"type":"string"},"stateName":{"type":"string"},"status":{"type":"string"},"subCast":{"type":"string"},"timeOfBirth":{"type":"string"},"updated_time":{"type":"string"},"username":{"type":"string"},"workingWith":{"type":"string"}},"title":"SuggestedProfilesProjection"},"UserImages":{"type":"object","properties":{"approvedStatus":{"type":"boolean"},"cnt":{"type":"integer","format":"int32"},"image":{"type":"string"},"profilePicture":{"type":"boolean"},"status":{"type":"boolean"},"updatedOn":{"type":"string","format":"date-time"},"userId":{"type":"integer","format":"int64"}},"title":"UserImages"},"UserOtpRequest":{"type":"object","properties":{"userName":{"type":"string"}},"title":"UserOtpRequest"},"UserRequirement":{"type":"object","properties":{"age":{"type":"string"},"ageFrom":{"type":"string"},"ageTo":{"type":"string"},"annualIncome":{"type":"string"},"bodyType":{"type":"string"},"caste":{"type":"string"},"childrens":{"type":"string"},"city":{"type":"string"},"complexion":{"type":"string"},"countryResidence":{"type":"string"},"createProfileFor":{"type":"string"},"createdTime":{"type":"string","format":"date-time"},"diet":{"type":"string"},"disability":{"type":"string"},"drinking":{"type":"string"},"education":{"type":"string"},"familyValue":{"type":"string"},"generalRequirement":{"type":"string"},"height":{"type":"string"},"heightTo":{"type":"string"},"manglik":{"type":"string"},"maritalStatus":{"type":"string"},"motherTongue":{"type":"string"},"personalvalue":{"type":"string"},"preferedCountry":{"type":"string"},"preferedState":{"type":"string"},"profession":{"type":"string"},"religion":{"type":"string"},"smoking":{"type":"string"},"status":{"type":"string"},"subCaste":{"type":"string"},"updatedTime":{"type":"string","format":"date-time"},"userId":{"type":"integer","format":"int64"},"userRequirementId":{"type":"integer","format":"int64"},"weight":{"type":"string"},"workingWith":{"type":"string"}},"title":"UserRequirement"},"Users":{"type":"object","properties":{"aboutMyself":{"type":"string"},"affection":{"type":"string"},"age":{"type":"string"},"annualIncome":{"type":"string"},"anyDisability":{"type":"string"},"area":{"type":"string"},"b1child1disabilities":{"type":"string"},"b1child2disabilities":{"type":"string"},"b2child1disabilities":{"type":"string"},"b2child2disabilities":{"type":"string"},"b3child1disabilities":{"type":"string"},"b3child2disabilities":{"type":"string"},"birthCountry":{"type":"string"},"bloodGroup":{"type":"string"},"bodyArt":{"type":"string"},"bodyType":{"type":"string"},"books":{"type":"string"},"brother1ChildCount":{"type":"string"},"brother2ChildCount":{"type":"string"},"brother3ChildCount":{"type":"string"},"brotherInLaw1Caste":{"type":"string"},"brotherInLaw2Caste":{"type":"string"},"brotherInLaw3Caste":{"type":"string"},"brotherSisters":{"type":"string"},"caste":{"type":"string"},"citizenshipCountry":{"type":"string"},"cityOfBirth":{"type":"string"},"communityValue":{"type":"string"},"companyName":{"type":"string"},"complexion":{"type":"string"},"createProfileFor":{"type":"string"},"createdTime":{"type":"string","format":"date-time"},"cuisine":{"type":"string"},"currentCity":{"type":"string"},"currentCountry":{"type":"string"},"currentState":{"type":"string"},"diet":{"type":"string"},"disability":{"type":"string"},"dob":{"type":"string","format":"date"},"dosam":{"type":"string"},"dosamName":{"type":"string"},"dressStyle":{"type":"string"},"drinking":{"type":"string"},"education":{"type":"string"},"email":{"type":"string"},"emailverify":{"type":"string"},"ethnicity":{"type":"string"},"eyeColor":{"type":"string"},"fCaste":{"type":"string"},"fOccupation":{"type":"string"},"familyResidency":{"type":"string"},"familyStatus":{"type":"string"},"familyValue":{"type":"string"},"fatherName":{"type":"string"},"firstName":{"type":"string"},"fitnessActivity":{"type":"string"},"gender":{"type":"string"},"gotram":{"type":"string"},"growUpCountry":{"type":"string"},"hairColor":{"type":"string"},"haveChildren":{"type":"string"},"height":{"type":"string"},"highestEducation":{"type":"string"},"hobby":{"type":"string"},"homeDistrict":{"type":"string"},"humor":{"type":"string"},"id":{"type":"integer","format":"int64"},"immigrationStatus":{"type":"string"},"interest":{"type":"string"},"language":{"type":"string"},"lastLoginTime":{"type":"string"},"lastName":{"type":"string"},"livingWith":{"type":"string"},"loginActive":{"type":"string"},"mCaste":{"type":"string"},"mOccupation":{"type":"string"},"manglik":{"type":"string"},"maritalStatus":{"type":"string"},"membershipStatus":{"type":"string"},"mobile":{"type":"string"},"monthlyIncome":{"type":"string"},"moomSign":{"type":"string"},"motherName":{"type":"string"},"motherTongue":{"type":"string"},"movies":{"type":"string"},"music":{"type":"string"},"noOfBrothers":{"type":"string"},"noOfBrothersMarried":{"type":"string"},"noOfSisters":{"type":"string"},"noOfSistersMarried":{"type":"string"},"occupation":{"type":"string"},"onBehalf":{"type":"string"},"otpVerification":{"type":"boolean"},"packageId":{"type":"string"},"packageJoinedDate":{"type":"string","format":"date-time"},"password":{"type":"string"},"personalValue":{"type":"string"},"politicalView":{"type":"string"},"postalCode":{"type":"string"},"profileFilledPercentage":{"type":"integer","format":"int32"},"profileStartIndex":{"type":"integer","format":"int32"},"profileVerifyedBy":{"type":"string"},"profilesSize":{"type":"integer","format":"int32"},"raasi":{"type":"string"},"read":{"type":"string"},"referredBy":{"type":"string"},"registerwith":{"type":"string"},"religion":{"type":"string"},"religiousService":{"type":"string"},"residencyCountry":{"type":"string"},"roleId":{"type":"integer","format":"int32"},"s1child1disabilities":{"type":"string"},"s1child2disabilities":{"type":"string"},"s2child1disabilities":{"type":"string"},"s2child2disabilities":{"type":"string"},"s3child1disabilities":{"type":"string"},"s3child2disabilities":{"type":"string"},"showAll":{"type":"string"},"sister1ChildCount":{"type":"string"},"sister2ChildCount":{"type":"string"},"sister3ChildCount":{"type":"string"},"sisterInLaw1Caste":{"type":"string"},"sisterInLaw2Caste":{"type":"string"},"sisterInLaw3Caste":{"type":"string"},"smoking":{"type":"string"},"speak":{"type":"string"},"specialCircumstance":{"type":"string"},"sportShows":{"type":"string"},"star":{"type":"string"},"status":{"type":"string"},"subCaste":{"type":"string"},"sunSign":{"type":"string"},"timeOfBirth":{"type":"string"},"tvShows":{"type":"string"},"uniqueCode":{"type":"string"},"updatedTime":{"type":"string","format":"date-time"},"userName":{"type":"string"},"weight":{"type":"string"},"workingWith":{"type":"string"}},"title":"Users"},"VerifyOtpRequest":{"type":"object","properties":{"mobileNo":{"type":"string"},"otp":{"type":"string"},"userName":{"type":"string"}},"title":"VerifyOtpRequest"}},"host":"virtserver.swaggerhub.com","basePath":"/aarnamatrimony/aarna-matrimony2/1.0","schemes":["https"]}